<?php
class SeCasamento
{
	private $sql;
	public $qry;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
	}


	public function SeCasamentoSelect($id_evento)
	{
		$this->sql = "select noiva, noivo from se_casamento
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function SeCasamentoUpdate($id_evento, $noiva, $noivo)
	{
		$noiva = addslashes($noiva);
		$noivo = addslashes($noivo);
		$cont = $noiva . $noivo;

		//verifica se tem algum dados em noiva ou noivo
		if ($cont != '') {
			//se tiver dados ele tenta faser update
			$this->sql = "update se_casamento
								  set 
								  noiva = '$noiva',
								  noivo = '$noivo'
								  where id_evento = $id_evento
								  and id_empresa = $this->id_empresa
								  ";
			$this->execulta();


			//se não atualizar nem uma linha ele faz o insert
			if (mysqli_affected_rows($this->mysqlCom->connect()) == 0) {
				//verifica se realmente tem algum noivo cadastrado
				$sql = "select id_evento from se_casamento where id_evento = $id_evento and id_empresa = $this->id_empresa";
				$qry = mysqli_query($this->mysqlCom->connect(), $sql);
				if (mysqli_num_rows($qry) == 0) {
					$this->SeCasamentoInsert($id_evento, $noiva, $noivo);
				}
			}
		} else {
			$this->SeCasamentoDelete($id_evento);
		}
	}

	public function SeCasamentoInsert($id_evento, $noiva, $noivo)
	{
		$this->sql = "insert into se_casamento
						  (id_evento, noiva, noivo, id_empresa)
						  values
						  ($id_evento, '$noiva', '$noivo', $this->id_empresa)";
		$this->execulta();
	}


	public function SeCasamentoDelete($id_evento)
	{
		$this->sql = "delete from se_casamento
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}
}
